<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 * INCLUDE config.php
 */
require_once('webapp/config.php');


/**
 * INCLUDE init.php
 */
require_once('webapp/init.php');


/**
 * 画像ファイルの出力
 */
// エラー出力の抑制
ini_set('display_errors', false);

// 画像IDの取得
$image_id = $_GET['id'];
if (!$image_id || !is_numeric($image_id))
{
    exit();
}

// 画像ファイル情報の取得
$image_info = db_get_image($image_id);
if (!$image_info)
{
    exit();
}

// 出力のバッファリングを有効に設定
ob_start();

// 画像操作オブジェクトの生成
$image = new Pocket_Image(
    SMARTY_CACHE_DIR,
    $image_id,
    $image_info['type'],
    base64_decode($image_info['image'])
);

// 画像ファイルの生成
if (!$image->createImage())
{
    exit();
}

// バッファのクリア
while (@ob_end_clean());

// 画像ファイルの出力
$image->putImage();

exit();

?>
